libmbedtls12_2.16.0-1_i386.deb


Advertisement

Description

libmbedtls12 - lightweight crypto and SSL/TLS library - tls library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmbedtls12_2.16.0-1_i386.deb
Package name libmbedtls12
Package version 2.16.0
Package release 1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://tls.mbed.org/
License -
Maintainer James Cowgill <jcowgill@debian.org>
Download size 129.97 KB
Installed size 270.00 KB
mbed TLS (formerly known as PolarSSL) is a lean open source crypto library for
providing SSL and TLS support in your programs. It offers an intuitive API and
documented header files, so you can actually understand what the code does.
It features:
- Symmetric algorithms, like AES, Blowfish, Triple-DES, DES, ARC4, Camellia
and XTEA
- Hash algorithms, like SHA-1, SHA-2, RIPEMD-160 and MD5
- Entropy pool and random generators, like CTR-DRBG and HMAC-DRBG
- Public key algorithms, like RSA, Elliptic Curves, Diffie-Hellman, ECDSA
and ECDH
- TLS 1.0, 1.1 and 1.2
- Abstraction layers for ciphers, hashes, public key operations, platform
abstraction and threading
This package contains the shared library handling TLS.

Alternatives

Package Version Architecture Repository
libmbedtls12_2.16.0-1_amd64.deb 2.16.0 amd64 Debian Main
libmbedtls12 - - -

Requires

Name Value
libc6 >= 2.28
libmbedcrypto3 >= 2.16
libmbedx509-0 >= 2.14

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmbedtls12_2.16.0-1_i386.deb
Source Package mbedtls

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmbedtls12 deb package:
    # sudo apt-get install libmbedtls12

Files

Path
/usr/lib/i386-linux-gnu/libmbedtls.so.12
/usr/lib/i386-linux-gnu/libmbedtls.so.2.16.0
/usr/share/doc/libmbedtls12/changelog.Debian.gz
/usr/share/doc/libmbedtls12/changelog.gz
/usr/share/doc/libmbedtls12/copyright

Changelog

2019-01-08 - James Cowgill <jcowgill@debian.org>
mbedtls (2.16.0-1) unstable; urgency=medium
* New upstream release.
* d/control: Bump standards to 4.3.0.
* d/libmbedcrypto3.symbols, d/libmbedtls12.symbols:
- Add new symbols found in 2.16.
2018-12-07 - James Cowgill <jcowgill@debian.org>
mbedtls (2.14.1-2) unstable; urgency=medium
[ Aurelien Jarno ]
* bn_mul.h: require at least ARMv6 to enable the ARM DSP code.
- Fixes FTBFS on armel.
2018-12-07 - James Cowgill <jcowgill@debian.org>
mbedtls (2.14.1-1) unstable; urgency=high
* New upstream release.
- Fixes CVE-2018-19608 - Local timing attack on RSA decryption.
(Closes: #915796)
* d/libmbedcrypto3.symbols, d/libmbedx509-0.symbols:
- Add new symbols found in 2.14.1.
2018-10-04 - James Cowgill <jcowgill@debian.org>
mbedtls (2.13.0-3) unstable; urgency=medium
* Upload to unstable.
2018-10-01 - James Cowgill <jcowgill@debian.org>
mbedtls (2.13.0-2) experimental; urgency=medium
[ Ondřej Nový ]
* d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.
[ James Cowgill ]
* d/control:
- Revert "Require all 3 mbedtls libraries to be the same version" to
make the transition easier.
* d/libmbed{crypto,tls}*.symbols:
- Update all symbol versions to 2.13.
2018-09-19 - James Cowgill <jcowgill@debian.org>
mbedtls (2.13.0-1) experimental; urgency=medium
* New upstream release.
* Rename libraries due to upstream SONAME bump.
* d/control:
- Remove obsolete Breaks from libmbedcrypto3.
- Bump standards version.
- Move faketime build-dependency to Build-Depends-Arch.
- Build-depend on python3.
* d/gbp.conf: Remove.
* d/libmbedtls12.symbols: Symbol updates for 2.13.
* d/rules: use sed to adjust config.h.
* d/patches: Drop 02_revert-soversion-bumps.patch.
* d/source: Add files for dgit-maint-merge workflow.
2018-07-28 - James Cowgill <jcowgill@debian.org>
mbedtls (2.12.0-1) unstable; urgency=medium
* New upstream release.
- Fixes CVE-2018-0497 and CVE-2018-0498. (Closes: #904821)
* debian/control: Bump standards version to 4.1.5.
* debian/patches: Refresh patches.
* debian/libmbedcrypto1.symbols:
- Add new symbols.
- Remove the internal mbedtls_threading_gmtime_mutex symbol.
2018-07-10 - James Cowgill <jcowgill@debian.org>
mbedtls (2.11.0-1) unstable; urgency=medium
* New upstream release.
* debian/control:
- Require all 3 mbedtls libraries to be the same version.
* debian/patches:
- Refresh 01_config.patch.
- Update SOVERSION patch to revert changes from 2.11.0.
* debian/*.symbols:
- Add new public symbols in 2.11.
- Update internal symbol versions.
2018-05-27 - James Cowgill <jcowgill@debian.org>
mbedtls (2.9.0-2) unstable; urgency=medium
* Upload to unstable.
* Revert libmbedcrypto ABI bump.
- Add patch to revert upstream SOVERSION bump.
- Revert package rename in 2.9.0-1.
2018-05-09 - James Cowgill <jcowgill@debian.org>
mbedtls (2.9.0-1) experimental; urgency=medium
* New upstream release.
* Rename libmbedcrypto1 to libmbedcrypto2 due to SONAME bump.
* debian/libmbedtls10.symbols:
- Add new symbols.
* debian/patches:
- Refresh config patch.

See Also

Package Description
libmbedx509-0_2.16.0-1_i386.deb lightweight crypto and SSL/TLS library - x509 certificate library
libmbim-glib-dev_1.18.0-1_i386.deb Header files for adding MBIM support to applications that use glib
libmbim-glib-doc_1.18.0-1_all.deb API documentation for the MBIM protocol library
libmbim-glib4_1.18.0-1_i386.deb Support library to use the MBIM protocol
libmbim-proxy_1.18.0-1_i386.deb Proxy to communicate with MBIM ports
libmbim-utils_1.18.0-1_i386.deb Utilities to use the MBIM protocol from the command line
libmbt-dev_3.4-1_i386.deb memory-based tagger-generator and tagger - development
libmbt1_3.4-1_i386.deb memory-based tagger-generator and tagger - runtime
libmce-perl_1.838-1_all.deb Many-Core Engine for Perl providing parallel processing capabilities
libmckoisqldb-java-doc_1.0.6-2_all.deb Documentation for Mckoi SQL Database (MckoiSQLDB)
libmckoisqldb-java_1.0.6-2_all.deb Mckoi SQL Database (MckoiSQLDB)
libmcpp-dev_2.7.2-4+b2_i386.deb Alternative C/C++ preprocessor (development files)
libmcpp0_2.7.2-4+b2_i386.deb Alternative C/C++ preprocessor (shared library)
libmcrypt-dev_2.5.8-3.4_i386.deb De-/Encryption Library development files
libmcrypt4_2.5.8-3.4_i386.deb De-/Encryption Library
Advertisement
Advertisement